public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/conman] epel10: auto-import conman-0.1.9.1-3 on branch devel from conman-0.1.9.1-3.src.rpm
@ 2026-08-12 20:05 Jarod Wilson
  0 siblings, 0 replies; only message in thread
From: Jarod Wilson @ 2026-08-12 20:05 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/conman
Branch : epel10
Commit : 740e881f851147b3be362117953f6e695991c0b9
Author : Jarod Wilson <jwilson@fedoraproject.org>
Date   : 2006-06-21T13:56:38+00:00
Stats  : +211/-0 in 5 file(s)
URL    : https://src.fedoraproject.org/rpms/conman/c/740e881f851147b3be362117953f6e695991c0b9?branch=epel10

Log:
auto-import conman-0.1.9.1-3 on branch devel from conman-0.1.9.1-3.src.rpm

---
diff --git a/.cvsignore b/.cvsignore
index e69de29..42ea5c1 100644
--- a/.cvsignore
+++ b/.cvsignore
@@ -0,0 +1 @@
+conman-0.1.9.1.tar.bz2

diff --git a/conman.init b/conman.init
new file mode 100644
index 0000000..21e1ba7
--- /dev/null
+++ b/conman.init
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# chkconfig: - 95 5
+# description: The ConMan daemon is used for console management.
+#
+
+CONMAND=/usr/sbin/conmand
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Default params, override in /etc/sysconfig/conman
+CONFIG=/etc/conman.conf
+OPTIONS=
+USER=root
+NICE=
+#SIGHUP_RELOAD=
+#PIDFILE=
+
+. /etc/sysconfig/conman
+
+RETVAL="0"
+
+# Disable suppression of stderr msgs.
+INITLOG_ARGS=""
+
+[ -x "$CONMAND" ] || exit 0
+
+# See how we were called.
+case "$1" in
+  start)
+	echo -n "Starting ConMan: "
+	CONSOLES=`grep -c "^CONSOLE" $CONFIG`
+	RETVAL=$?
+	if [ "$RETVAL" -ge "1" ]; then
+		echo
+		echo -n "  ERROR: No CONSOLE(s) defined! "
+		echo_failure
+	else
+		daemon $NICE --user $USER $CONMAND -c $CONFIG $OPTIONS
+		RETVAL=$?
+	fi
+	echo
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/conman
+	;;
+  stop)
+	echo -n "Stopping ConMan: "
+	killproc conmand
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/conman
+	;;
+  status)
+	status conmand
+	RETVAL=$?
+	;;
+  restart)
+	$0 status >/dev/null && $0 stop
+	$0 start
+	RETVAL=$?
+	;;
+  reload)
+	echo -n "Reloading ConMan: "
+	killproc conmand -HUP
+	RETVAL=$?
+	echo
+	;;
+  *)
+	echo "Usage: $0 {start|stop|status|restart|reload}"
+	exit 1
+esac
+
+exit $RETVAL

diff --git a/conman.logrotate b/conman.logrotate
new file mode 100644
index 0000000..13a135a
--- /dev/null
+++ b/conman.logrotate
@@ -0,0 +1,21 @@
+##
+# ConMan Logrotate Configuration
+##
+
+/var/log/conman/* {
+  compress
+  missingok
+  nocopytruncate
+  nocreate
+  nodelaycompress
+  nomail
+  notifempty
+  olddir /var/log/conman.old/
+  rotate 4
+  sharedscripts
+  size=5M
+  weekly
+  postrotate
+    /usr/bin/killall -HUP conmand
+  endscript
+}

diff --git a/conman.spec b/conman.spec
new file mode 100644
index 0000000..dda182b
--- /dev/null
+++ b/conman.spec
@@ -0,0 +1,109 @@
+Name:		conman
+Version:	0.1.9.1
+Release:	3%{?dist}
+Summary:	ConMan - The Console Manager
+
+Group:		Applications/System
+License:	GPL
+URL:		http://www.llnl.gov/linux/conman/
+Source0:	ftp://ftp.llnl.gov/pub/linux/%{name}/%{name}-%{version}.tar.bz2
+Source1:	%{name}.init
+Source2:	%{name}.logrotate
+BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+Requires:	logrotate
+BuildRequires:	tcp_wrappers
+
+%description
+ConMan is a serial console management program designed to support a large
+number of console devices and simultaneous users.  It currently supports
+local serial devices and remote terminal servers (via the telnet protocol).
+Its features include:
+
+  - mapping symbolic names to console devices
+  - logging all output from a console device to file
+  - supporting monitor (R/O), interactive (R/W), and
+    broadcast (W/O) modes of console access
+  - allowing clients to join or steal console "write" privileges
+  - executing Expect scripts across multiple consoles in parallel
+
+%prep
+%setup -q
+
+%build
+# not really lib material, more like share
+mv lib share
+chmod -x share/examples/*.exp
+%{__perl} -pi.orig -e 's|cd lib|cd share|g' \
+    Makefile.in
+%{__perl} -pi -e 's|lib\/|share\/|g' \
+    Makefile.in share/examples/*.exp
+
+# don't run service by default
+%{__perl} -pi -e 's|chkconfig:.*345 95 5|chkconfig: - 95 5|g' \
+    etc/%{name}.init.in
+
+%configure --with-tcp-wrappers
+make
+
+%install
+rm -rf $RPM_BUILD_ROOT
+make install DESTDIR=$RPM_BUILD_ROOT
+# put in our own initscript and logrotate
+install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
+install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
+# make log directories
+mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
+mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}.old
+# examples don't belong in datadir...
+rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
+# these shouldn't be executable
+chmod -x $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
+# adjust perms on main config file
+chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
+
+%clean
+rm -rf "$RPM_BUILD_ROOT"
+
+%post
+/sbin/chkconfig --add conman
+
+%preun
+if [ "$1" = 0 ]; then
+  /sbin/service conman stop >/dev/null 2>&1 || :
+  /sbin/chkconfig --del conman
+fi
+
+%postun
+if [ "$1" -ge 1 ]; then
+  /sbin/service conman condrestart >/dev/null 2>&1 || :
+fi
+
+%files
+%defattr(-,root,root,-)
+%doc AUTHORS ChangeLog COPYING DISCLAIMER FAQ NEWS
+%doc share/examples
+%config(noreplace) %{_sysconfdir}/%{name}.conf
+%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
+%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
+%{_sysconfdir}/init.d/%{name}
+%{_localstatedir}/log/%{name}
+%{_localstatedir}/log/%{name}.old
+%{_bindir}/*
+%{_sbindir}/*
+%{_datadir}/%{name}
+%{_mandir}/*/*
+
+%changelog
+* Tue Jun 20 2006 Jarod Wilson <jwilson@redhat.com> 0.1.9.1-3
+- Add Requires: logrotate
+- Ugh, conmand exits cleanly if no CONSOLE(s) are defined in
+  /etc/conman.conf, add check to initscript to report failure
+  if none are defined
+
+* Wed Jun 14 2006 Jarod Wilson <jwilson@redhat.com> 0.1.9.1-2
+- Create log directories and install working logrotate config
+- Use a much cleaner RH/FC-specific initscript
+
+* Tue Jun 13 2006 Jarod Wilson <jwilson@redhat.com> 0.1.9.1-1
+- Initial build for Fedora Extras

diff --git a/sources b/sources
index e69de29..cf9c697 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+b47730a326376cf731c313900095449c  conman-0.1.9.1.tar.bz2

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-08-12 20:05 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-12 20:05 [rpms/conman] epel10: auto-import conman-0.1.9.1-3 on branch devel from conman-0.1.9.1-3.src.rpm Jarod Wilson

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox